﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Database
{
	public abstract class Abstracts
	{
		public abstract bool CreateUser(User user);
		public abstract bool UpdateUser(User user);
		public abstract bool DeleteUser(int id);
		public abstract User GetUser(int id);
		public abstract User GetUser(string name);
		public abstract List<User> GetUsers();
		public abstract bool DeleteUsers();

		public abstract bool CreateType(Type type);
		public abstract bool UpdateType(Type type);
		public abstract bool DeleteType(int id);
		public abstract Type GetType(int id);
		public abstract Type GetType(string title);
		public abstract List<Type> GetTypes();
		public abstract bool DeleteTypes();
		public abstract bool CreateData(Data data);
		public abstract bool UpdateData(Data data);
		public abstract bool DeleteData(int id);
		public abstract Data GetData(int id);
		public abstract Data GetData(int Userid, int TypeId);

		public abstract List<Data> GetDatas();
		public abstract bool DeleteDatas();

		public abstract bool CreateDescription(Description description);	
		public abstract bool UpdateDescription(Description description);
		public abstract bool DeleteDescription(int id);
		public abstract Description GetDescription(int id);
		public abstract bool CreateInvite(Invited invited);
		public abstract bool DeleteInvite(int userId, int typeId);
		public abstract List<Invited> GetInvited(int id);
		public abstract bool DeleteInvited();
	}
}
